
:root {
  --hero-3: clamp(1.88rem, calc(1.66rem + 1.07vw), 2.63rem);
  --hero-2: clamp(2.81rem, calc(2.12rem + 3.48vw), 5.25rem);
  --hero-1: clamp(3.75rem, calc(2.70rem + 5.27vw), 7.44rem);
  --hero-1sm: clamp(3.75rem, calc(2.19rem + 7.81vw), 5.94rem);
  --space-hero-1: clamp(3.75rem, calc(2.70rem + 5.27vw), 7.44rem);
  --space-hero-2: clamp(2.81rem, calc(2.12rem + 3.48vw), 5.25rem);
  --space-hero-3: clamp(1.88rem, calc(1.66rem + 1.07vw), 2.63rem);
  --button-label: clamp(0.88rem, calc(0.75rem + 0.63vw), 1.31rem);
  --button-arrow: clamp(1.25rem, calc(1.13rem + 0.63vw), 1.69rem);
}

#portfolioContents{
    background-color: #E4F2FF;
}

.portfolioLogo{
    width: 89px;
    height: 30px;
}

.headerWrapper{
    font-family: 'Hanken Grotesk', sans-serif;
    font-size: 21px;
    color: #354351;
    font-weight: bold;
}
.headerLinks{
    font-family: 'Hanken Grotesk', sans-serif;
    font-size: 16px !important;
    color: #354351 !important;
    font-weight: bold !important;
}

.heroWrapper{
    margin-top: 160px;
    background: linear-gradient(to right, #115DA9, #09B5B0, #115DA9, #115DA9);
    background-size: 200% 100%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: gradient 10s linear infinite both;
}

.firstHeroHeader{
    font-size: var(--hero-1);
    font-weight: bold;
    line-height: var(--space-hero-1) !important;
}

.secondHeroHeader{
    font-size: var(--hero-2);
    font-weight: bold;
    line-height: var(--space-hero-2) !important;;
}


@keyframes gradient {
0% {
    background-position: right;
}
50% {
    background-position: left;
}
100% {
    background-position: right;
}
}

.heroParagraph{
    font-size: var(--hero-3);
    font-weight: bold;
    line-height: var(--space-hero-3) !important;
    font-family: 'Hanken Grotesk', sans-serif;
}

.heroParagraphWrapper{
    margin-bottom: 72px !important;
}

.projectButton{
    background: linear-gradient(-45deg, #115DA9, #09B5B0, #115DA9, #115DA9);
    background-size: 400% 400%;
    animation: gradient 10s linear infinite both;
    border: none !important;
    font-size: var(--button-label) !important;
    font-weight: bold !important;
    font-family: 'Hanken Grotesk', sans-serif !important;
    border-radius: 30px !important;
    color: #E9F5D8 !important;
}

.projectButton:hover{
    background: #09B5B0 !important;
    opacity: 0.8;
}

.arrowIcon{
    width: var(--button-arrow);
    height: var(--button-arrow);
}

.projectButtonWrapper{
    margin-top: 80px !important;
    margin-bottom: 220px !important;
}


.projectHeading{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 59px !important;
    font-weight: bold !important;
    color: #E9F5D8 !important;
    margin-bottom: 80px;
}

.projectWrapper{
    padding-top: 80px ;
    padding-bottom: 160px;
    background: linear-gradient(-45deg, #09B5B0, #115DA9);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
}

.projectTitle{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 42px;
    font-weight: bold !important;
    line-height: 55px;
    color: black;
}

.projectType{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 30px;
    font-weight: bold !important;
    line-height: 40px;
    color: #E9F5D8;
}

.technologyTitle{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 30px;
    font-weight: bold !important;
    line-height: 40px;
    color: black;
}

.projectParagraph{
    font-family: 'Crimson Text', serif;
    font-size: 21px;
    line-height: 30px;
    color: black;
}

.technologySubTitle{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 21px;
    line-height: 30px;
}

.designSlide{
    margin-top: 56px !important;
}

.swiper-button-next {
  background-image: url(./icons/buttonRight.svg);
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center;
}

.swiper-button-prev {
  background-image: url(./icons/buttonLeft.svg);
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center;
}

.swiper-button-next::after {
  display: none;
}

.swiper-button-prev::after {
  margin-right: auto !important;
  display: none;
}

.visitWeb{
    margin-top: 80px !important;
    color: #E9F5D8;
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 21px;
    line-height: 30px;
    font-weight: bold !important;
}

.webLink{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 21px;
    line-height: 30px;
    font-weight: bold !important;
    color: black;
}

.skillsHeading{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 59px !important;
    font-weight: bold !important;
    margin-bottom: 80px;
}

.skillsWrapper{
    margin-top: 80px;
    margin-bottom: 255px;
}

.skillsTitle{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 30px;
    font-weight: bold !important;
    line-height: 40px;
}

.skill{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 21px;
    font-weight: bold !important;
    line-height: 30px;
}

.contactHeading{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 59px !important;
    font-weight: bold !important;
    color: #E9F5D8 !important;
    margin-bottom: 80px;
}

.contactWrapper{
    padding-top: 80px ;
    padding-bottom: 160px;
    background: linear-gradient(-45deg, #09B5B0, #115DA9);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
}

.socialMediaHeading{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 30px;
    font-weight: bold !important;
    line-height: 40px;
    color: black;
    margin-bottom: 56px;
}

.contactIcons{
    width: 45px !important;
    height: 45px !important;
    padding: 0px !important;
}

.logoWrapper{
    margin-bottom: 56px;
}

.contactParagraph{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 21px;
    font-weight: bold !important;
    line-height: 30px;
    color: black;
}

.footerLabel{
    font-family: 'Hanken Grotesk', sans-serif !important;
    font-size: 21px;
    font-weight: bold !important;
    line-height: 30px;
}

a{
    color: #354351 !important;
    text-decoration: none !important;
}

a:hover{
    text-decoration: underline !important;
}

#emailAdd{
    color: #E9F5D8 !important;
}


@media only screen and (min-width: 0px) and (max-width: 767px){
    .heroWrapper{
        margin-top: 80px;
    }

    .projectButtonWrapper{
        margin-bottom: 50px !important;
    }

}